## ros-melodic-pose-follower 0.3.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(pose_follower)
set(pose_follower_ROS_DEPS nav_core base_local_planner costmap_2d roscpp tf2_geometry_msgs tf2_ros nav_msgs pluginlib dynamic_reconfigure)

find_package(catkin REQUIRED COMPONENTS ${pose_follower_ROS_DEPS})

generate_dynamic_reconfigure_options(
  cfg/PoseFollower.cfg
)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES pose_follower
  CATKIN_DEPENDS ${pose_follower_ROS_DEPS}
)

include_directories(include ${catkin_INCLUDE_DIRS})

add_library(pose_follower src/pose_follower.cpp)
add_dependencies(pose_follower ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(pose_follower ${catkin_LIBRARIES})

install(TARGETS pose_follower
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
)

install(FILES blp_plugin.xml
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-melodic-pose-follower (0.3.3-1stretch) stretch; urgency=high

  * Add dynamic reconfigure to pose_follower (#40 <https://github.com/ros-planning/navigation_experimental/issues/40>)
    Similar to the other available local planners, this commit adds dynamic reconfigure to pose_follower. In addition to this, the collision_planner parameters (used for detecting illegal trajectory) have been moved to the PoseFollower/collision_planner namespace.
    Major ROS API changes:
    * all internal TrajectoryPlannerROS parameters moved into the collision_planner namespace
    * all internal TrajectoryPlannerROS publishers (cost_cloud, global_plan, local_plan) moved into the collision_planner namespace
    * there is still a global_plan topic without namespace, which is now only published by the pose_follower itself and no longer shared with the internal TrajectoryPlannerROS.
  * unused publisher removed (#41 <https://github.com/ros-planning/navigation_experimental/issues/41>)
  * Add READMEs
  * Contributors: Martin Günther, Pavel Shumejko

 -- Martin Günther <martin.guenther@dfki.de>  Mon, 14 Oct 2019 22:00:00 -0000

ros-melodic-pose-follower (0.3.2-1stretch) stretch; urgency=high

  * max rotation vel in in-place rotation limited (#27 <https://github.com/ros-planning/navigation_experimental/issues/27>)
  * pose_follower: Add visualization of global plan (#26 <https://github.com/ros-planning/navigation_experimental/issues/26>)
  * Contributors: Martin Günther, Pavel, sumejko92

 -- Martin Günther <martin.guenther@dfki.de>  Tue, 15 Jan 2019 23:00:00 -0000

ros-melodic-pose-follower (0.3.1-1stretch) stretch; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Tue, 04 Sep 2018 22:00:00 -0000

ros-melodic-pose-follower (0.3.0-1stretch) stretch; urgency=high

  * Convert to TF2 + new navigation API (for melodic)
  * Use non deprecated pluginlib macro + headers
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Mon, 03 Sep 2018 22:00:00 -0000

ros-melodic-pose-follower (0.2.0-1stretch) stretch; urgency=high

  * Initial release into indigo, kinetic, lunar and melodic
  * Contributors: Martin Günther, David V. Lu!!, Dave Hershberger, Howard Cochran, Jon Binney, Kaijen Hsiao, Michael Ferguson, cratliff, Eitan Marder-Eppstein, Wim Meeussen

 -- Martin Günther <martin.guenther@dfki.de>  Sun, 02 Sep 2018 22:00:00 -0000

=== debian/control ===
Source: ros-melodic-pose-follower
Section: misc
Priority: extra
Maintainer: Martin Günther <martin.guenther@dfki.de>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-base-local-planner, ros-melodic-catkin, ros-melodic-costmap-2d, ros-melodic-dynamic-reconfigure, ros-melodic-nav-core, ros-melodic-nav-msgs, ros-melodic-pluginlib, ros-melodic-roscpp, ros-melodic-tf2-geometry-msgs, ros-melodic-tf2-ros
Homepage: http://wiki.ros.org/pose_follower
Standards-Version: 3.9.2

Package: ros-melodic-pose-follower
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-base-local-planner, ros-melodic-costmap-2d, ros-melodic-dynamic-reconfigure, ros-melodic-nav-core, ros-melodic-nav-msgs, ros-melodic-pluginlib, ros-melodic-roscpp, ros-melodic-tf2-geometry-msgs, ros-melodic-tf2-ros
Description: A implementation of a local planner that attempts to follow a plan as closely as possible.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-pose-follower//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-pose-follower 0.3.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,5 @@
-cmake_minimum_required(VERSION 2.8.3)
+cmake_minimum_required(VERSION 3.5.1)
+cmake_policy(SET CMP0048 NEW)
 project(pose_follower)
 set(pose_follower_ROS_DEPS nav_core base_local_planner costmap_2d roscpp tf2_geometry_msgs tf2_ros nav_msgs pluginlib dynamic_reconfigure)

=== debian/changelog ===
ros-melodic-pose-follower (0.3.6-1bionic) bionic; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Tue, 23 Aug 2022 22:00:00 -0000

ros-melodic-pose-follower (0.3.5-1bionic) bionic; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Sun, 06 Mar 2022 23:00:00 -0000

ros-melodic-pose-follower (0.3.4-1bionic) bionic; urgency=high

  * Initial release into noetic
  * Set cmake_policy CMP0048 to fix warning
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Thu, 18 Jun 2020 22:00:00 -0000

ros-melodic-pose-follower (0.3.3-1bionic) bionic; urgency=high

  * Add dynamic reconfigure to pose_follower (#40 <https://github.com/ros-planning/navigation_experimental/issues/40>)
    Similar to the other available local planners, this commit adds dynamic reconfigure to pose_follower. In addition to this, the collision_planner parameters (used for detecting illegal trajectory) have been moved to the PoseFollower/collision_planner namespace.
    Major ROS API changes:
    * all internal TrajectoryPlannerROS parameters moved into the collision_planner namespace
    * all internal TrajectoryPlannerROS publishers (cost_cloud, global_plan, local_plan) moved into the collision_planner namespace
    * there is still a global_plan topic without namespace, which is now only published by the pose_follower itself and no longer shared with the internal TrajectoryPlannerROS.
  * unused publisher removed (#41 <https://github.com/ros-planning/navigation_experimental/issues/41>)
  * Add READMEs
  * Contributors: Martin Günther, Pavel Shumejko

 -- Martin Günther <martin.guenther@dfki.de>  Mon, 14 Oct 2019 22:00:00 -0000

ros-melodic-pose-follower (0.3.2-1bionic) bionic; urgency=high

  * max rotation vel in in-place rotation limited (#27 <https://github.com/ros-planning/navigation_experimental/issues/27>)
  * pose_follower: Add visualization of global plan (#26 <https://github.com/ros-planning/navigation_experimental/issues/26>)
  * Contributors: Martin Günther, Pavel, sumejko92

 -- Martin Günther <martin.guenther@dfki.de>  Tue, 15 Jan 2019 23:00:00 -0000

ros-melodic-pose-follower (0.3.1-1bionic) bionic; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Tue, 04 Sep 2018 22:00:00 -0000

ros-melodic-pose-follower (0.3.0-1bionic) bionic; urgency=high

  * Convert to TF2 + new navigation API (for melodic)
  * Use non deprecated pluginlib macro + headers
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Mon, 03 Sep 2018 22:00:00 -0000

ros-melodic-pose-follower (0.2.0-1bionic) bionic; urgency=high

  * Initial release into indigo, kinetic, lunar and melodic
  * Contributors: Martin Günther, David V. Lu!!, Dave Hershberger, Howard Cochran, Jon Binney, Kaijen Hsiao, Michael Ferguson, cratliff, Eitan Marder-Eppstein, Wim Meeussen

 -- Martin Günther <martin.guenther@dfki.de>  Sun, 02 Sep 2018 22:00:00 -0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: ros-melodic-pose-follower
 Section: misc
-Priority: extra
+Priority: optional
 Maintainer: Martin Günther <martin.guenther@dfki.de>
 Build-Depends: debhelper (>= 9.0.0), ros-melodic-base-local-planner, ros-melodic-catkin, ros-melodic-costmap-2d, ros-melodic-dynamic-reconfigure, ros-melodic-nav-core, ros-melodic-nav-msgs, ros-melodic-pluginlib, ros-melodic-roscpp, ros-melodic-tf2-geometry-msgs, ros-melodic-tf2-ros
 Homepage: http://wiki.ros.org/pose_follower

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/melodic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
